Schemas
Channel
ChannelSchemaRepr · enum
The channel that determines the update frequency.
Values
4 valuesEach feed has a minimum channel, min_channel. A feed supports that channel and all slower channels.
real_timeUpdates sent immediately when a new price is available, no slower than 50 ms.
fixed_rate@50msUpdates every 50 milliseconds.
fixed_rate@200msUpdates every 200 milliseconds.
fixed_rate@1000msUpdates every 1 second.
The following endpoints and schemas use this schema.
- getList symbols
Response
min_channel
- wsStream price updates
subscribemessagechannel
- postGet latest prices
Request body
channel
- getGet prices at a timestamp
Path parameter
channelResponse
channel_name
- getGet prices within a time range
Path parameter
channelResponse
data.channel_name
- getGet OHLC history
Path parameter
channel
- postGet signed prices at a timestamp
Request body
channel
- getList price feeds
Response
attributes.min_channel
- getGet a price feed
Response
attributes.min_channel
- getGet latest price updates
Query parameter
channel
- Symbol
Field
min_channel